header
RWBY: Grimm Eclipse
RWBY: Grimm Eclipse cover
Release date: 2016. July 05.
Genre: Action, Hack and Slash
Developer: Rooster Teeth Games
Publisher: Rooster Teeth Games

RWBY: Grimm Eclipse System Requirements

Minimum system requirements:

CPU:
Intel Core i5-2500K (4 * 3300) or equivalent, AMD FX-8320 (8 * 3500) or equivalent
RAM:
4 GB RAM
GPU:
GeForce GTX 460 (1024 MB) or equivalent, Radeon HD 5570 (1024 MB)
DX:
Version 11
OS:
Windows 7/8/8.1/10 x64
STO:
4 GB available space
Sound:
DirectX 9.0c (or higher)
NET:
Broadband Internet connection

Recommended system requirements:

CPU:
Intel Core i5-4670K (4 * 3400) or equivalent, AMD Athlon X4 860K (4*3700) or equivalent
RAM:
4 GB RAM
GPU:
GeForce GTX 760 (2048 MB) or equivalent, Radeon R9 270X (2048 MB)
DX:
Version 11
OS:
Windows 7/8/8.1/10 x64
STO:
4 GB available space
Sound:
DirectX 9.0c (or higher)
NET:
Broadband Internet connection
Recommended peripheral: Gamepad recommended
There are only official system requirements on the site which are released by developers or an official publisher.
Can you run it?
Compare the system requirements with a configuration you can add below.
Similar games:
LET IT DIEDYNASTY WARRIORS 8DYNASTY WARRIORS 9WARRIORS OROCHI 4BarbearianBloodRayne
Comments
Please login to post a comment.
No comments have been posted. Be the first to comment!


Forgotten passwordRegister